import { defineStore } from 'pinia'

import { User } from '@/types'
import { LoginReq } from '@/types/api/auth'
import { loginApi } from '@/api/auth'

export interface AppStoreState {
  user?: User
}

const useUserStore = defineStore('user', {
  state: () => ({} as AppStoreState),
  actions: {
    setUser(user?: User) {
      this.user = user
    },
    async login(data: LoginReq) {
      const resp = await loginApi(data)
      // resp.
    },
    async logout() {},
  },
})

export default useUserStore
