import type { TableColumnCtx } from 'element-plus'

export interface SearchForm {
  mainSku: string
  endProductId: string
  orderOnlineNo: string
  shopNumber: string
  supplierId: string
  internalMemo: string
}

export interface Tab {
  label: string
  quality: number
  code: string
}
export interface OrderData {
  id: number
  moreable?: boolean
  shopNumber?: string
  orderNumber?: string
  addressId?: number
  status?: number
  productAmount?: number
  totalAmount?: number
  paymentTime?: string
  startStockingTime?: string
  source?: string
  createTime?: string
  updateTime?: string
  productList?: ProductList[]
  address?: Address
  delayMinDay?: number
  internalMemoList?: MemoList[]
  sourceType?: string
}
export interface ProductList {
  id: number
  customOrderId?: number
  subOrderNumber?: string
  shopNumber?: string
  baseSku?: string
  variantSku?: string
  variantImage?: string
  erpProductItemId?: number
  endProductId?: string
  chimaId?: string
  diyId?: string
  facotoryNo?: string
  num?: number
  shipmentNum?: number
  price?: number
  productName?: string
  createTime?: string
  updateTime?: string
}

export interface Address {
  id: number
  name?: string
  swDefault?: 1
  deliveryType?: string
  lanshouName?: string
  lanshouPhone?: string
  lanshouRegion?: string
  lanshouAddress?: string
  lanshouPost?: string
  jijianCompanyName?: string
  jijianMobile?: string
  jijianName?: string
  jijianTel?: string
  jijianCountryCode?: string
  jijianCountryName?: string
  jijianProvince?: string
  jijianProvinceCode?: string
  jijianCity?: string
  jijianCityCode?: string
  jijianCounty?: string
  jijianPostCode?: string
  jijianStreet?: string
  jijianEmail?: string
  tuihuoName?: string
  tuihuoPhone?: string
  tuihuoRegion?: string
  tuihuoAddress?: string
  tuihuoPost?: string
  remark?: string
  createTime?: string
}

export interface MemoList {
  id: number
  type?: number
  outId?: number
  operatorEmployeeName?: string
  content?: string
  remark?: string
  operatorTime?: string
}
export interface SpanMethodProps {
  row: OrderData
  column: TableColumnCtx<OrderData>
  rowIndex: number
  columnIndex: number
}
